NullAllocator< T > Class Template Reference
Inheritance diagram for NullAllocator< T >:

## Public Types

typedef AllocatorBase< T > ::value_type | value_type
typedef AllocatorBase< T > ::size_type | size_type
typedef AllocatorBase< T > ::difference_type | difference_type
typedef AllocatorBase< T >::pointer | pointer
typedef AllocatorBase< T > ::const_pointer | const_pointer
typedef AllocatorBase< T > ::reference | reference
typedef AllocatorBase< T > ::const_reference | const_reference

## Public Member Functions

pointer | allocate (size_type n, const void *=NULL)
void | deallocate (void *p, size_type n)
size_type | max_size () const
pointer | address (reference r) const
const_pointer | address (const_reference r) const
void | construct (pointer p, const T &val)
void | destroy (pointer p)

## Static Protected Member Functions

static void | CheckSize (size_t n)

## Detailed Description

### template<class T>
class NullAllocator< T >

Definition at line 138 of file secblock.h.

The documentation for this class was generated from the following file:

- secblock.h